#ifndef _SPI_H_
#define _SPI_H_

void spi_init (unsigned int bufsize);
void spi_quit ();
void spi_send_buffer (unsigned char *buffer);

void spi_update_buffer(unsigned long addr, unsigned char *buf, unsigned long size, unsigned char first);

/* LCDCWX^(16bit) */
void LCDC_WriteRegister16(unsigned long addr, unsigned short data);

/* LCDCWX^(24bit) */
void LCDC_WriteRegister24(unsigned long addr, unsigned long data);

/* LCDCWX^ǂݍ(16bit) */
unsigned short LCDC_ReadRegister16(unsigned long addr);

/* LCDCWX^ǂݍ(24bit) */
unsigned long LCDC_ReadRegister24(unsigned long addr);

/* \f[^] */
void LCDC_BurstWrite(unsigned long addr, unsigned char* buf, unsigned long size);

#endif
